Bug 865769 - Add firmware for Intel Centrino Wireless-N 2200/2230 (iwl2030-firmware,iwl2000-firmware) to Hardware Support group
Add firmware for Intel Centrino Wireless-N 2200/2230 (iwl2030-firmware,iwl200...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 08:00 EDT by Tomas Vanderka
Modified: 2014-03-16 23:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 14:12:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Vanderka 2012-10-12 08:00:06 EDT
Description of problem:
hardware-support group is missing firmware for recent Intel Centrino Wireless-N 2200/2230 adapters, Live CD does not recognize wifi on newer laptops, in my case Lenovo Thinkpad Edge E530
Would be nice if iwl2000-firmware, iwl2030-firmware packages were included in Hardware Support group so they get picked up by livecd kickstart scripts.

Version-Release number of selected component (if applicable):
Fedora 18

How reproducible:
allways

Steps to Reproduce:
1. boot livecd
2. try to use wifi
3.
  
Actual results:
no wifi adapter

Expected results:
wifi usable

Additional info:
Comment 1 Bill Nottingham 2012-10-12 10:07:24 EDT
We could add this, but my understanding is that it is just moving into the main linux-firmware package.
Comment 2 John W. Linville 2012-10-12 10:24:57 EDT
That's true.  But FWIW, they are still building independent binary RPMs from the linux-firwmare SRPM for the iwl*-firmware packages.  Maybe the comps still need separate entries for the binary RPMs?
Comment 3 Bill Nottingham 2012-10-12 10:31:14 EDT
According to something gospo said, the plan was to merge them into the main binary RPM as well. Perhaps I missed something.
Comment 4 Andy Gospodarek 2012-10-12 10:35:49 EDT
(In reply to comment #3)
> According to something gospo said, the plan was to merge them into the main
> binary RPM as well. Perhaps I missed something.

That was the plan for RHEL7.  Josh seemed to indicate that there was a desire by some to keep the Intel wireless firmware separate in Fedora.
Comment 5 Bill Nottingham 2012-10-12 10:48:02 EDT
Adding Josh for comments, then.
Comment 6 Josh Boyer 2012-10-13 07:55:33 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > According to something gospo said, the plan was to merge them into the main
> > binary RPM as well. Perhaps I missed something.
> 
> That was the plan for RHEL7.  Josh seemed to indicate that there was a
> desire by some to keep the Intel wireless firmware separate in Fedora.

Right.  I originally just had them in the linux-firmware package, but there were complaints that people would no longer be able to remove the iwl*-firmware if they don't have those devices on their machines.  Not being able to remove them was viewed as a regression of sorts.

I don't see that changing again for F18 at least.  RHEL will do it's own thing.
Comment 7 Bill Nottingham 2012-10-15 14:11:46 EDT
You can guess my opinions on shipping 15 extra binary packages just for the sake of 10MB of disk space for paranoid people.

But ok, comps edited.

Note You need to log in before you can comment on or make changes to this bug.